Description
Hi,
I'm trying to install foreman and appears the next error messages:

Setting up foreman-sqlite3 (1.11.1-1) ...

dpkg: error processing package foreman-sqlite3 (--configure):
subprocess installed post-installation script returned error exit status 7
Setting up ruby-foreman-deface (1.0.1) ...

dpkg: error processing package ruby-foreman-deface (--configure):
subprocess installed post-installation script returned error exit status 6

Can anyone help me?

Thanks!

History

#1 - 04/25/2016 01:45 PM - Anonymous

https://github.com/theforeman/foreman-packaging/pull/1109/files#diff-7a9a9dc0c7{7886fbfa10d05e4fb4933 - apply that change to
/var/lib/dpkg/info/foreman-sqlite3.postinst and try again.

If that does not work, run "export DEBUG=1" and then "dpkg --configure foreman-sqlite3" and paste the output here.
#2 - 04/27/2016 07:08 AM - Lukas Resch

Using Ubuntu 14.04 i get the same error. Debugging the configuration shows
Could not find gem 'net-ssh (< 3) ruby' in the gems available on this machine.
Trying to install the gem results in

sudo gem install net-ssh

Fetching: net-ssh-3.1.1.gem (100%)

ERROR: Error installing net-ssh:

net-ssh requires Ruby version >= 2.0.

| think the problem is that by default ruby1.9.1 is used and not ruby2.0.

#3 - 04/27/2016 07:12 AM - Dominic Cleal

- Status changed from New to Feedback

- Pull request https://github.com/theforeman/foreman-packaging/pull/1109 added

| believe the issue with the foreman-sqlite3 package has been fixed for 1.11.2 and in current nightlies, via the linked PR.

Lukas, | don't know if your problem is related to this without more information - please start a thread on the foreman-users list or provide more
information in a new bug report, on precisely what steps you're taking and where you're seeing the error. | don't recommend trying to install gems
https://github.com/theforeman/foreman-packaging/pull/1109/files#diff-7a9a9dc0c7f7886fbfa10d05e4fb4933

manually while using our packages, you will probably make the situation worse.

#4 - 04/27/2016 07:45 AM - Lukas Resch

| get the same errors as the OP when trying to install foreman-sqlite3 via apt-get from the trusty/stable repository. The package version | get from
there is 1.11.1-1. So | think it is the same issue. Applying the linked patch fixes the installation though.

| just tried to locate the problem, | don't want to manage gems on my own. But it looks like the problem has been fixed already. The fix has just not
made it to the stable repository yet.

#5 - 05/14/2017 02:35 AM - Anonymous
- Status changed from Feedback to Closed

should be fixed
